using PkmnLib.Plugin.Gen7.Scripts.Pokemon;

namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "geomancy")]
public class Geomancy : BaseChargeMove<RequireChargeEffect>
{
    /// <inheritdoc />
    public override RequireChargeEffect CreateVolatile(IPokemon user) => new(user, "geomancy");

    /// <inheritdoc />
    public override void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        EventBatchId eventBatchId = new();
        move.User.ChangeStatBoost(Statistic.SpecialAttack, 2, true, false, eventBatchId);
        move.User.ChangeStatBoost(Statistic.SpecialDefense, 2, true, false, eventBatchId);
        move.User.ChangeStatBoost(Statistic.Speed, 2, true, false, eventBatchId);
    }
}